TITLE 'EXAMPLE 7-3-3';
TITLE2 'GROUP EFFECTS OF CORRELATIONS';
OPTION LINESIzE=70;
OPTION PAGESIzE=60;
DATA ex733a;
       DO xa=-2 TO 2 BY 0.4;
           ya=xa+3.0;
           yb=4.0-xa;
           yc=-2+0.0001*(xa-3);
           OUTPUT;
           END;
       RUN;
DATA ex733b;
       DO xb=1 TO 5 BY 0.4;
           za=xb-1.0;
           zb=2.0+0.8*xb;
           zc=2-0.0001*(xb+2);
           OUTPUT;
           END;
       RUN;
DATA ex733c;
       MERGE ex733a ex733b;
       RUN;
PROC PRINT;
       RUN;
PROC PLOT DATA=ex733c;
       PLOT ya*xa='1' za*xb='2' /
              OVERLAY HAXIS=-3 TO 6 BY 2
              HPOS=35 VPOS=15;
       PLOT yb*xa='1' zb*xb='2' /
              OVERLAY HAXIS=-3 TO 6 BY 2
              HPOS=35 VPOS=15;
       PLOT yc*xa='1' zc*xb='2' /
              OVERLAY HAXIS=-3 TO 6 BY 2
              VAXIS=-2.5 TO 2.5 BY 1.0
              HPOS=35 VPOS=15;
       RUN;
PROC CORR DATA=ex733c
             NOSIMPLE PEARSON SPEARMAN KENDALL;
       VAR ya yb yc;
       WITH xa;
       RUN;
PROC CORR DATA=ex733c
             NOSIMPLE PEARSON SPEARMAN KENDALL;
       VAR za zb zc;
       WITH xb;
       RUN;
DATA ex733d;
       SET ex733a ex733b;
       IF xa=' ' THEN xa=0;
       IF xb=' ' THEN xb=0;
       IF ya=' ' THEN ya=0;
       IF yb=' ' THEN yb=0;
       IF yc=' ' THEN yc=0;
       IF za=' ' THEN za=0;
       IF zb=' ' THEN zb=0;
       IF zc=' ' THEN zc=0;
       x=xa+xb;
       wa=ya+za;
       wb=yb+zb;
       wc=yc+zc;
       KEEP x wa wb wc;
       RUN;
PROC PRINT;
       RUN;
PROC CORR DATA=ex733d
             NOSIMPLE PEARSON SPEARMAN KENDALL;
       VAR wa wb wc;
       with x;
       RUN;
